Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 220024 - Context menu item on artifact nodes to copy local repo location
Context menu item on artifact nodes to copy local repo location
Status: RESOLVED FIXED
Product: projects
Classification: Unclassified
Component: Maven
7.3
All All
: P3 with 1 vote (vote)
: 7.4
Assigned To: Milos Kleint
issues@projects
: PATCH_AVAILABLE
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-12 19:16 UTC by Jesse Glick
Modified: 2013-03-01 02:01 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments
Proposed patch (1.94 KB, patch)
2013-02-26 05:25 UTC, Jesse Glick
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2012-10-12 19:16:38 UTC
The context menu for a dependency (under Dependencies) has various options such as Download Javadoc or Find Usages. Would often be helpful to be able to copy the path the local repository file so that the JAR can be opened in some external tool, or pasted into a classpath in a shell, etc.
Comment 1 Jesse Glick 2013-02-22 22:18:33 UTC
Find myself needing this a lot. Would you take a patch?
Comment 2 Milos Kleint 2013-02-23 06:12:21 UTC
sure
Comment 3 Jesse Glick 2013-02-26 05:25:43 UTC
Created attachment 131878 [details]
Proposed patch
Comment 4 Milos Kleint 2013-02-27 14:21:17 UTC
http://hg.netbeans.org/core-main/rev/3a9c756f1339
Comment 5 Quality Engineering 2013-03-01 02:01:41 UTC
Integrated into 'main-golden', will be available in build *201302282300* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/3a9c756f1339
User: Jesse Glick <jglick@netbeans.org>
Log: #220024: action to copy to clipboard the location of a dependency artifact.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo